<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::ParamIterator&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1internal_1_1ParamIterator.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::ParamIterator&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a4afe3a68db0d0744753c8afe262e35df"><td class="memItemLeft" align="right" valign="top"><a id="a4afe3a68db0d0744753c8afe262e35df"></a>
typedef T&#160;</td><td class="memItemRight" valign="bottom"><b>value_type</b></td></tr>
<tr class="separator:a4afe3a68db0d0744753c8afe262e35df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac96f133ffa06fc0f9faff5a1c7954382"><td class="memItemLeft" align="right" valign="top"><a id="ac96f133ffa06fc0f9faff5a1c7954382"></a>
typedef const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>reference</b></td></tr>
<tr class="separator:ac96f133ffa06fc0f9faff5a1c7954382"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c37240a04ba3fc4c56f6c413cf4771d"><td class="memItemLeft" align="right" valign="top"><a id="a6c37240a04ba3fc4c56f6c413cf4771d"></a>
typedef ptrdiff_t&#160;</td><td class="memItemRight" valign="bottom"><b>difference_type</b></td></tr>
<tr class="separator:a6c37240a04ba3fc4c56f6c413cf4771d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa10585055ee055e304703a3004f24f33"><td class="memItemLeft" align="right" valign="top"><a id="aa10585055ee055e304703a3004f24f33"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>ParamIterator</b> (const <a class="el" href="classtesting_1_1internal_1_1ParamIterator.html">ParamIterator</a> &amp;other)</td></tr>
<tr class="separator:aa10585055ee055e304703a3004f24f33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8019f54ea1c66ca39ffdec47acfabfe6"><td class="memItemLeft" align="right" valign="top"><a id="a8019f54ea1c66ca39ffdec47acfabfe6"></a>
<a class="el" href="classtesting_1_1internal_1_1ParamIterator.html">ParamIterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classtesting_1_1internal_1_1ParamIterator.html">ParamIterator</a> &amp;other)</td></tr>
<tr class="separator:a8019f54ea1c66ca39ffdec47acfabfe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52e5fdca7d497a0ed358051e36b8b491"><td class="memItemLeft" align="right" valign="top"><a id="a52e5fdca7d497a0ed358051e36b8b491"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator*</b> () const</td></tr>
<tr class="separator:a52e5fdca7d497a0ed358051e36b8b491"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad035d35e8f0c1412854959a94d4887e"><td class="memItemLeft" align="right" valign="top"><a id="aad035d35e8f0c1412854959a94d4887e"></a>
const T *&#160;</td><td class="memItemRight" valign="bottom"><b>operator-&gt;</b> () const</td></tr>
<tr class="separator:aad035d35e8f0c1412854959a94d4887e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0922f2f554fb3beaf13c442da605e8d"><td class="memItemLeft" align="right" valign="top"><a id="ab0922f2f554fb3beaf13c442da605e8d"></a>
<a class="el" href="classtesting_1_1internal_1_1ParamIterator.html">ParamIterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
<tr class="separator:ab0922f2f554fb3beaf13c442da605e8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af51e17827dd54977165937550c0fb030"><td class="memItemLeft" align="right" valign="top"><a id="af51e17827dd54977165937550c0fb030"></a>
<a class="el" href="classtesting_1_1internal_1_1ParamIterator.html">ParamIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>operator++</b> (int)</td></tr>
<tr class="separator:af51e17827dd54977165937550c0fb030"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc356b4789eb0c2a1b5b033c7874e5a6"><td class="memItemLeft" align="right" valign="top"><a id="adc356b4789eb0c2a1b5b033c7874e5a6"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classtesting_1_1internal_1_1ParamIterator.html">ParamIterator</a> &amp;other) const</td></tr>
<tr class="separator:adc356b4789eb0c2a1b5b033c7874e5a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a6aee04e8e44b5c8294929951cfac2b"><td class="memItemLeft" align="right" valign="top"><a id="a7a6aee04e8e44b5c8294929951cfac2b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classtesting_1_1internal_1_1ParamIterator.html">ParamIterator</a> &amp;other) const</td></tr>
<tr class="separator:a7a6aee04e8e44b5c8294929951cfac2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:ab73a355ae191f2f7eab54b65ca557714"><td class="memItemLeft" align="right" valign="top"><a id="ab73a355ae191f2f7eab54b65ca557714"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>ParamGenerator&lt; T &gt;</b></td></tr>
<tr class="separator:ab73a355ae191f2f7eab54b65ca557714"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="gtest-param-util_8h_source.html">gtest-param-util.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="classtesting_1_1internal_1_1ParamIterator.html">ParamIterator</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
